Package org.apache.sling.resourceresolver.impl.observation

# Class ResourceChangeListImpl

java.lang.Object
org.apache.sling.resourceresolver.impl.observation.ResourceChangeListImpl

All Implemented Interfaces:
  `Iterable<org.apache.sling.api.resource.observation.ResourceChange>`, `Collection<org.apache.sling.api.resource.observation.ResourceChange>`, `List<org.apache.sling.api.resource.observation.ResourceChange>`, `org.apache.sling.api.resource.observation.ResourceChangeList`

public class ResourceChangeListImpl extends Object implements org.apache.sling.api.resource.observation.ResourceChangeList

## Constructor Summary

Constructors
Constructor
Description
`ResourceChangeListImpl(List<String> searchPath)`

## Method Summary

Modifier and Type
Method
Description
`void`
`add(int index, org.apache.sling.api.resource.observation.ResourceChange element)`
`boolean`
`add(org.apache.sling.api.resource.observation.ResourceChange e)`
`boolean`
`addAll(int index, Collection<? extends org.apache.sling.api.resource.observation.ResourceChange> c)`
`boolean`
`addAll(Collection<? extends org.apache.sling.api.resource.observation.ResourceChange> c)`
`void`
`clear()`
`boolean`
`contains(Object o)`
`boolean`
`containsAll(Collection<?> c)`
`org.apache.sling.api.resource.observation.ResourceChange`
`get(int index)`
`String[]`
`getSearchPath()`
`int`
`indexOf(Object o)`
`boolean`
`isEmpty()`
`Iterator<org.apache.sling.api.resource.observation.ResourceChange>`
`iterator()`
`int`
`lastIndexOf(Object o)`
`ListIterator<org.apache.sling.api.resource.observation.ResourceChange>`
`listIterator()`
`ListIterator<org.apache.sling.api.resource.observation.ResourceChange>`
`listIterator(int index)`
`void`
`lock()`
`org.apache.sling.api.resource.observation.ResourceChange`
`remove(int index)`
`boolean`
`remove(Object o)`
`boolean`
`removeAll(Collection<?> c)`
`boolean`
`retainAll(Collection<?> c)`
`org.apache.sling.api.resource.observation.ResourceChange`
`set(int index, org.apache.sling.api.resource.observation.ResourceChange element)`
`int`
`size()`
`List<org.apache.sling.api.resource.observation.ResourceChange>`
`subList(int fromIndex, int toIndex)`
`Object[]`
`toArray()`
`<T> T[]`
`toArray(T[] a)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Collection

`parallelStream, removeIf, stream, toArray`

### Methods inherited from interface java.lang.Iterable

`forEach`

### Methods inherited from interface java.util.List

`equals, hashCode, replaceAll, sort, spliterator`

## Constructor Details

### ResourceChangeListImpl

public ResourceChangeListImpl(List<String> searchPath)

## Method Details

### lock

public void lock()

### size

public int size()

Specified by:
  `size` in interface `Collection<org.apache.sling.api.resource.observation.ResourceChange>`
Specified by:
  `size` in interface `List<org.apache.sling.api.resource.observation.ResourceChange>`

### isEmpty

public boolean isEmpty()

Specified by:
  `isEmpty` in interface `Collection<org.apache.sling.api.resource.observation.ResourceChange>`
Specified by:
  `isEmpty` in interface `List<org.apache.sling.api.resource.observation.ResourceChange>`

### contains

public boolean contains(Object o)

Specified by:
  `contains` in interface `Collection<org.apache.sling.api.resource.observation.ResourceChange>`
Specified by:
  `contains` in interface `List<org.apache.sling.api.resource.observation.ResourceChange>`

### iterator

public Iterator<org.apache.sling.api.resource.observation.ResourceChange> iterator()

Specified by:
  `iterator` in interface `Collection<org.apache.sling.api.resource.observation.ResourceChange>`
Specified by:
  `iterator` in interface `Iterable<org.apache.sling.api.resource.observation.ResourceChange>`
Specified by:
  `iterator` in interface `List<org.apache.sling.api.resource.observation.ResourceChange>`

### toArray

public Object[] toArray()

Specified by:
  `toArray` in interface `Collection<org.apache.sling.api.resource.observation.ResourceChange>`
Specified by:
  `toArray` in interface `List<org.apache.sling.api.resource.observation.ResourceChange>`

### toArray

public <T> T[] toArray(T[] a)

Specified by:
  `toArray` in interface `Collection<org.apache.sling.api.resource.observation.ResourceChange>`
Specified by:
  `toArray` in interface `List<org.apache.sling.api.resource.observation.ResourceChange>`

### add

public boolean add(org.apache.sling.api.resource.observation.ResourceChange e)

Specified by:
  `add` in interface `Collection<org.apache.sling.api.resource.observation.ResourceChange>`
Specified by:
  `add` in interface `List<org.apache.sling.api.resource.observation.ResourceChange>`

### remove

public boolean remove(Object o)

Specified by:
  `remove` in interface `Collection<org.apache.sling.api.resource.observation.ResourceChange>`
Specified by:
  `remove` in interface `List<org.apache.sling.api.resource.observation.ResourceChange>`

### containsAll

public boolean containsAll(Collection<?> c)

Specified by:
  `containsAll` in interface `Collection<org.apache.sling.api.resource.observation.ResourceChange>`
Specified by:
  `containsAll` in interface `List<org.apache.sling.api.resource.observation.ResourceChange>`

### addAll

public boolean addAll(Collection<? extends org.apache.sling.api.resource.observation.ResourceChange> c)

Specified by:
  `addAll` in interface `Collection<org.apache.sling.api.resource.observation.ResourceChange>`
Specified by:
  `addAll` in interface `List<org.apache.sling.api.resource.observation.ResourceChange>`

### addAll

public boolean addAll(int index, Collection<? extends org.apache.sling.api.resource.observation.ResourceChange> c)

Specified by:
  `addAll` in interface `List<org.apache.sling.api.resource.observation.ResourceChange>`

### removeAll

public boolean removeAll(Collection<?> c)

Specified by:
  `removeAll` in interface `Collection<org.apache.sling.api.resource.observation.ResourceChange>`
Specified by:
  `removeAll` in interface `List<org.apache.sling.api.resource.observation.ResourceChange>`

### retainAll

public boolean retainAll(Collection<?> c)

Specified by:
  `retainAll` in interface `Collection<org.apache.sling.api.resource.observation.ResourceChange>`
Specified by:
  `retainAll` in interface `List<org.apache.sling.api.resource.observation.ResourceChange>`

### clear

public void clear()

Specified by:
  `clear` in interface `Collection<org.apache.sling.api.resource.observation.ResourceChange>`
Specified by:
  `clear` in interface `List<org.apache.sling.api.resource.observation.ResourceChange>`

### get

public org.apache.sling.api.resource.observation.ResourceChange get(int index)

Specified by:
  `get` in interface `List<org.apache.sling.api.resource.observation.ResourceChange>`

### set

public org.apache.sling.api.resource.observation.ResourceChange set(int index, org.apache.sling.api.resource.observation.ResourceChange element)

Specified by:
  `set` in interface `List<org.apache.sling.api.resource.observation.ResourceChange>`

### add

public void add(int index, org.apache.sling.api.resource.observation.ResourceChange element)

Specified by:
  `add` in interface `List<org.apache.sling.api.resource.observation.ResourceChange>`

### remove

public org.apache.sling.api.resource.observation.ResourceChange remove(int index)

Specified by:
  `remove` in interface `List<org.apache.sling.api.resource.observation.ResourceChange>`

### indexOf

public int indexOf(Object o)

Specified by:
  `indexOf` in interface `List<org.apache.sling.api.resource.observation.ResourceChange>`

### lastIndexOf

public int lastIndexOf(Object o)

Specified by:
  `lastIndexOf` in interface `List<org.apache.sling.api.resource.observation.ResourceChange>`

### listIterator

public ListIterator<org.apache.sling.api.resource.observation.ResourceChange> listIterator()

Specified by:
  `listIterator` in interface `List<org.apache.sling.api.resource.observation.ResourceChange>`

### listIterator

public ListIterator<org.apache.sling.api.resource.observation.ResourceChange> listIterator(int index)

Specified by:
  `listIterator` in interface `List<org.apache.sling.api.resource.observation.ResourceChange>`

### subList

public List<org.apache.sling.api.resource.observation.ResourceChange> subList(int fromIndex, int toIndex)

Specified by:
  `subList` in interface `List<org.apache.sling.api.resource.observation.ResourceChange>`

### getSearchPath

public String[] getSearchPath()

Specified by:
  `getSearchPath` in interface `org.apache.sling.api.resource.observation.ResourceChangeList`

### toString

public String toString()

Overrides:
  `toString` in class `Object`